Subject: Re: bug#23631: 25.0.94; Directories in completion-ignored-extensions not ignored

From: Michael Albinus <[email-masked]>
Date: Fri, 27 May 2016 17:48:57 +0200

Eli Zaretskii <[email-masked]> writes:

>> Evaluate something like
>> 
>> (file-name-all-completions "" "~/.emacs.d/")
>> 
>> On my machine, this returns a list which includes ".git/". It should
>> not, however, because ".git/" is in completion-ignored-extensions.
>
> This works as designed: completion-ignored-extensions only affects
> file-name-completion, but not file-name-all-completions.  I've just
> pushed a fix for the doc string of file-name-all-completions.  (The
> ELisp manual correctly says that the variable has no effect in your
> case.)

Tramp does not honor `completion-ignored-extensions'. I will fix it, but
it shall go into the master branch then. Not important enough for
emacs-25.

Best regards, Michael.